pluginManagement {
    repositories {
        mavenCentral()
        gradlePluginPortal()

        // Jetpack Compose
        maven("https://maven.pkg.jetbrains.space/public/p/compose/dev/")
        google()

        // Kotlin Dev
        maven("https://maven.pkg.jetbrains.space/kotlin/p/kotlin/dev/")
    }

    val kotlinVersion: String by settings
    val dokkaVersion: String by settings
    val versionsVersion: String by settings
    val composeVersion: String by settings

    plugins {
        kotlin("android") version kotlinVersion apply false
        id("org.jetbrains.dokka") version dokkaVersion apply false
        id("com.github.ben-manes.versions") version versionsVersion apply false
        id("org.jetbrains.compose") version composeVersion apply false
        id("org.jetbrains.kotlin.plugin.compose") version kotlinVersion apply false
    }
}